Bug 1480609 - ipa-replica-install failings when minssf is set to 56 on the idm master
ipa-replica-install failings when minssf is set to 56 on the idm master
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa (Show other bugs)
7.3
All All
medium Severity medium
: rc
: ---
Assigned To: IPA Maintainers
ipa-qe
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-11 09:36 EDT by aheverle
Modified: 2018-06-19 09:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description aheverle 2017-08-11 09:36:38 EDT
Description of problem:
Customer has minssff set to 56 on the IDM master, due to PCI compliance.

Replica install is failing with 

Version-Release number of selected component (if applicable):
ipa-server-4.4.0-14.el7_3.7.x86_64

How reproducible:
Everytime

Steps to Reproduce:
1. ipa-replica-install
2.
3.

Actual results:
 [26/40]: creating DS keytab
  [27/40]: setting up initial replication
  [error] DatabaseError: Server is unwilling to perform: Minimum SSF not met.
Your system may be partly configured.
Run /usr/sbin/ipa-server-install --uninstall to clean up.

ipa.ipapython.install.cli.install_tool(CompatServerReplicaInstall): ERROR    Server is unwilling to perform: Minimum SSF not met.
ipa.ipapython.install.cli.install_tool(CompatServerReplicaInstall): ERROR    The ipa-replica-install command failed. See /var/log/ipareplica-install.log for more information

Expected results:
replica install to complete

Additional info:

On the IDM master, ldapsearches are failing due to the same issue.

[root@avid4p03 ~]# ldapsearch -D "cn=directory manager" -W -b "dc=example,dc=com" "(nsds5replconflict=*)"
Enter LDAP Password:
# extended LDIF
#
# LDAPv3
# base <dc=example,dc=com> with scope subtree
# filter: (nsds5replconflict=*)
# requesting: ALL
#

# search result
search: 2
result: 53 Server is unwilling to perform
text: Minimum SSF not met.

[root@avid4p03 ~]# grep minssf /etc/dirsrv/slapd-EXAMPLE-COM/dse.ldif
nsslapd-minssf: 56
nsslapd-minssf-exclude-rootdse: on
Comment 2 Rob Crittenden 2017-08-11 11:41:35 EDT
Note that the ldapsearch is failing because it isn't requesting any security. Add -Z to your cli to enable start_tls.
Comment 8 Petr Vobornik 2017-10-13 12:12:13 EDT
Upstream ticket:
https://pagure.io/freeipa/issue/7195

Note You need to log in before you can comment on or make changes to this bug.